select
  ht.AscentPerGPS    as Ascent,
  ht.DistancePerGPS  as Km,
  ht.UID             as HikeUID,
  r.RouteName        as RouteName,
  ht.TheDate         as TheDate
from
  HikesTaken          ht,
  LinkHikeTakenPerson L,
  Routes              r
where
  L.PersonUID = :PersonUID and
  L.HikeUID = ht.UID and
  ht.RouteUID = r.UID

union

select
  ht.AscentPerGPS    as Ascent,
  ht.DistancePerGPS  as Km,
  ht.UID             as HikeUID,
  r.RouteName        as RouteName,
  ht.TheDate         as TheDate
from
  HikesTaken_old      ht,
  LinkHikeTakenPerson L,
  Routes              r
where
  L.PersonUID = :PersonUID and
  L.HikeUID = ht.UID and
  ht.RouteUID = r.UID

order by
  ht.TheDate